/* GENERAL STYLES */
.btn .elementor-button-content-wrapper{
	align-items: center;
}

.btn .elementor-button-icon{	
	width: 40px;
	height: 40px;
	display: flex;
	border-radius: 50%;
	align-items: center;
  justify-content: center;
	transition: background-color 0.5s ease-in-out;
}

.btn.btn-blue .elementor-button-icon{
	background: #fff;
}
.btn.btn-white .elementor-button-icon{
	background: var(--e-global-color-2a406cc);
}

.btn .elementor-button-icon svg{
  display: block;
  transition: transform 0.5s ease-in-out;
  transform-origin: 50% 50%;
}

.btn.btn-blue:hover .elementor-button-icon{	
	background: var(--e-global-color-2a406cc)
}

.btn.btn-white:hover .elementor-button-icon{	
	background: #fff
}

.btn:hover .elementor-button-icon svg{
	transform: rotate(-45deg);	
}

.btn.btn-blue:hover .elementor-button-icon svg path{
	stroke: #fff;
	transition: stroke 0.5s ease-in-out;
}	

.btn.btn-white:hover .elementor-button-icon svg path{
	stroke: var(--e-global-color-2a406cc);
	transition: stroke 0.5s ease-in-out;
}	

.blue_color{
	color: var(--e-global-color-2a406cc)
}

/* END GENERAL STYLES */
		
/* header */
.services_btn .elementor-icon-box-icon svg {
	transition: ease-in-out .3s;
}

.services_btn:hover .elementor-icon-box-icon svg {
	transform: rotate(45deg)
}

.overlay_background {
	display: none;
	backdrop-filter: blur(25px);
	width: 100vw;
	height: 100vh;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 1;
}

header .dark_logo,
header .elementor-sticky--effects .white_logo{
	display: none;
}

header .elementor-sticky--effects .dark_logo{
	display: block
}

header .elementor-sticky--effects .elementor-widget-n-menu .e-n-menu-title-text,
header .elementor-sticky--effects .elementor-widget-n-menu .e-n-menu-title
{
	color: #373737!important;
	border-color: #373737
}

header .elementor-sticky--effects  .e-n-menu-title{
	border-color: #373737!important
}

/* @media (min-width:768px) { */

	header .elementor-sticky--effects,
	header .e-con-inner .logo,
	header .e-con-inner .menu,
	header .e-con-inner .lang_contact,
	header .e-con-inner .lang_contact .elementor-button {
		transition: ease-in-out .3s;
	}

	header .elementor-sticky--effects .e-con-inner {
		max-width: 1070px;
		background: #EBEBEB4D;
		backdrop-filter: blur(25px);
		padding: 12px 16px;
		border-radius: 12px;
		margin-top: 20px;
		position: relative;
		border: 1px solid #FFFFFF1F
	}


	header .elementor-sticky--effects .header_left_con {
		gap: 40px
	}


	header .elementor-sticky--effects .overlay_background {
		z-index: -1;
	}

	header .elementor-sticky--effects .e-con-inner .logo {
		width: 164px;
	}

	header .elementor-sticky--effects .e-con-inner .logo img {
		width: 164px;
	}

	header .elementor-sticky--effects .e-con-inner .menu {
		width: auto;
	}

	header .e-con-inner .menu .e-n-menu-heading {
		flex-wrap: nowrap;
	}

	header .elementor-sticky--effects .e-con-inner .lang_contact {
		width: 32%;
		justify-content: flex-end;
	}

	header .elementor-sticky--effects .e-con-inner .lang_contact .elementor-button {
		padding: 6px 6px 6px 16px;
		font-size: 14px;
	}

	header .e-con-inner .lang_contact .elementor-button .elementor-button-text {
		white-space: nowrap;
	}

	header .elementor-sticky--effects .header_menu .elementor-widget-container {
		box-shadow: none !important;
	}

	header .elementor-sticky--effects .header_menu .e-n-menu {
		padding: 0;
		box-shadow: none;
	}

	header .elementor-sticky--effects .e-n-menu-item .e-con.e-child {
		margin-top: -6px;
	}
/* } */

@media (min-width:1025px) {
	header .elementor-sticky--effects .e-con-inner .logo {
		width: 164px;
	}

	header .elementor-sticky--effects .e-con-inner .lang_contact {
		width: 23%;
	}
}

/* end header */

/* MAIN PAGE */

/* SERVICES SLDER */
.services_slider .swiper-pagination,
.projects_slider .swiper-pagination{
	display: none;
}

.services_slider .swiper,
.projects_slider .swiper{
	padding-bottom: 0px!important;
}

@media(max-width: 1024px){
	.projects_slider .swiper{
		padding-bottom: 24px!important;
		padding-right: 100px;
	}
	.projects_slider .swiper-pagination{
		display: flex;
	}
}

@media(max-width: 768px){
	.services_slider{
		border-width: 0px 0px 0px 0px!important;
	}
	
	.services_slider .swiper{
		padding-bottom: 24px!important;
		padding-right: 50px;
	}
	
	.services_slider .swiper-slide-active {
		border-left: 1px solid #D8D8D8
	}
	
	.services_slider .swiper-pagination{
		display: flex;
	}
}

.service_card .after_hover_card{
	opacity: 0;
	display: none;
	transition: opacity 0.5s;
}

.service_card:hover .after_hover_card{
	opacity: 1;
	display: flex;
	transition: opacity 0.5s
}

.service_card:hover .before_hover_card{
	opacity: 0;
	display: none;
	
	transition: opacity 0.5s
}

.service_slider_prev, .service_slider_next,
.project_slider_prev, .project_slider_next{
	cursor: pointer;
	pointer-events: auto;
	position: relative;
  z-index: 999;
}

/* чтобы absolute-декор внутри слайдов не ловил клики */
/* .services_slider .elementor-element-49813ca{
  pointer-events: none;
} */


/* CLIENTS CAROUSEL */
.clients-carousel .elementor-image-carousel-wrapper{
  overflow: hidden;
}

.clients-carousel .swiper-slide.is-edge img{
  filter: blur(7px);
  opacity: .45;
  transition: filter .25s ease, opacity .25s ease;
}



/* === */
@media(min-width: 1024px) and (max-width: 1400px){
	.img_right_pos,
	.img_left_pos{
		height: 100%;
	}
	
	.img_right_pos img,
	.img_left_pos img{
		max-height: 900px;
	}
}

@media (min-width: 1400px) {
	.img_right_pos,
	.img_left_pos{
		height: 100%;
		width: 100%!important;
		max-width: 960px!important;
	}
	
	.img_right_pos img,
	.img_left_pos img{
		position: absolute;
		max-height: 900px;
		min-width: 100%;
		width: 960px!important;
	}
	
	.img_right_pos img{ 		
		left:0;
	}
	
	.img_left_pos img{
		right: 0;		
	}	
	
	.text_img_cont{
		overflow-x: hidden;
	}	
}

@media(min-width: 1920px){
	.img_right_pos img,
	.img_left_pos img{
		max-height: 900px;
	}
}

/* CONTACT CARD */
.contact_card:hover .elementor-icon-box-icon svg path{
	fill: #fff
}

.contact_card:hover .elementor-icon-box-title span{
	color: #fff
}

.contact_card:hover .elementor-icon-box-description{
	color: #D6D6D6!important;
}

.contact_card:hover .elementor-widget-heading a{
	color: #fff;
}

.contact_card .elementor-widget-heading a:hover{
	text-decoration: underline
}


/* END MAIN PAGE */

/* FOOTER */
.btn_to_top{
	cursor: pointer
}
/* END FOOTER */

/* Force Swiper animation even when prefers-reduced-motion is enabled */
@media (prefers-reduced-motion: reduce) {
  .swiper .swiper-wrapper {
    transition-duration: 500ms !important;
  }
}


/* PROJECT LIGHTBOX */

.project-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
}

.project-modal-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.85);
}

.project-modal-content {
    position: relative;
    z-index: 10000;
    width: 90%;
    max-width: 1030px;
    height: 90vh;
	max-height: 780px;
    margin: auto;
    /* background: #000; */
    /* border-radius: 12px; */
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.project-modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px;
    /* background: rgba(255, 255, 255, 0.05); */
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
   z-index: 99999999;
}

.gallery-counter {
    font-family: "Manrope", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    color: #FFFFFF;
    /* background: rgba(0, 0, 0, 0.5); */
    /* padding: 5px 15px; */
    border-radius: 20px;
}

.modal-close {
    background: none!important;
    border: none;
    color: #FFFFFF;
    /* font-size: 32px; */
    cursor: pointer;
    /* width: 15px; */
    /* height: 15px; */
    display: flex;
    align-items: center;
    justify-content: center;
	padding: 0;
	z-index: 9999999;
    /* transition: opacity 0.3s; */
    /* background: rgba(0, 0, 0, 0.5); */
    /* border-radius: 50%; */
}

.modal-close:hover {
    opacity: 0.8;
}

.gallery-modal-swiper {
    flex: 1;
    width: 100%;
    height: 100%;
}

.gallery-modal-swiper .swiper-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 80px 40px 60px;
}

.gallery-modal-swiper .swiper-slide img {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    object-fit: contain;
}

.project-modal .swiper-button-next,
.project-modal .swiper-button-prev {
    color: #FFFFFF;
    /* background: rgba(0, 0, 0, 0.5); */
    width: 40px;
    height: 40px;
    /* border-radius: 50%; */
    transition: background 0.3s;	
	z-index: 999999;
}

.project-modal .swiper-button-next:after,
.project-modal .swiper-button-prev:after {
    display: none;
}

.project-modal .swiper-button-next:hover,
.project-modal .swiper-button-prev:hover {
    background: rgba(0, 0, 0, 0.8);
}

.project-modal-title {
    position: absolute;
    bottom: 32px;
    left: 0;
    right: 0;
    /* padding: 20px 30px; */
    /* background: rgba(255, 255, 255, 0.05); */
    /* backdrop-filter: blur(10px); */
    text-align: center;
    font-family: 'Manrope', sans-serif;
    font-size: 16px;
    font-weight: 400;
    color: #FFFFFF;
    z-index: 10;
}

/* Responsive */
@media (max-width: 1024px) {
    .project-modal-content {
        width: 95%;
        height: 95vh;
        margin: 2.5vh auto;
    }
    
    .project-modal-header {
        padding: 15px 20px;
    }
    
    .gallery-modal-swiper .swiper-slide {
        padding: 0px;
    }
    
    .project-modal-title {
        font-size: 16px;
        /* padding: 15px 20px; */
    }
}

.spinner {
    width: 50px;
    height: 50px;
    border: 3px solid rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    border-top-color: #fff;
    animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

/* END PROJECT LIGHTBOX */

/* Blur for Swiper Slides */
@media (min-width: 1024px) {

.its-blur-not-visible-slides .swiper .swiper-slide img {
		transition-property: filter;
		transition-duration: 0.3s;
}

.its-blur-not-visible-slides .swiper .swiper-slide img, .its-blur-not-visible-slides .swiper .swiper-slide:not(.is-visible) + .swiper-slide.is-visible img, .its-blur-not-visible-slides .swiper .swiper-slide:has(+ .swiper-slide:not(.is-visible)) img {
		filter: blur(9px);
}

.its-blur-not-visible-slides .swiper .swiper-slide.is-visible img {
		filter: none;
}
}

@media (max-width: 1024px) {
	.its-blur-not-visible-slides .swiper {
			position: relative;
	}
	
	.its-blur-not-visible-slides .swiper::before, .its-blur-not-visible-slides .swiper::after {
			content: '';
			position: absolute;
			top: 0px;
			bottom: 0px;
			z-index: 12;
			display: block;
			width: 50px;
			height: 100%;
			filter: blur(9.6px);
			background-color: rgba(255, 255, 255, 0.9);
	}
	
	.its-blur-not-visible-slides .swiper::before {
			left: 0px;
	}
	
	.its-blur-not-visible-slides .swiper::after {
			right: 0px;
	}
}

@media (max-width: 767px) {
		
		.its-blur-not-visible-slides .swiper::before, .its-blur-not-visible-slides .swiper::after {
			width: 40px;
	}
}
/* Blur for Swiper Slides */